Subject: bug#57939: 29.0.50; Fixing raise-frame on Sway

From: Po Lu <[email-masked]>
Date: Tue, 20 Sep 2022 14:12:00 +0800

Sean Whitton <[email-masked]> writes:

> Sway is pretty committed to interface stability, but it's a valid concern.

I'm not worried about whether or not Sway keeps the interface stable,
the problem is whether or not Sway will still be a thing in 2, 5, 10, or
20 years.

Not to mention that Sway is still a niche compositor, compared to the
likes of GNOME Shell or Kwin.

If we take the route of supporting non-standard interfaces provided by
all "popular" Wayland compositors at any given time, then we will
quickly fall into the rabbit hole of constantly keeping up with changes
to that status quo.